# Call Logs API

### Call Logs

Call Logs are logs generated during the call. These include five types of logs:

* Pathway Info - when the agent changes nodes
* Transcript - when transcripts are added (both agent and user)
* Trace - Trace logs for events happening during the call
* Webhook - When webhooks are sent
* Error - When errors occur

We offer realtime as well as RESTful endpoints to retrieve logs for a given call ID. For more information on these endpoints as well as DTO schemas for the log objects, click the respective links to go to our Swagger documentation.&#x20;

Note that `Transcript` logs from the assistant may contain chunked transcripts. In reality, this means that you will receive transcripts as they are generated and you should accumulate them on your side if needed. Transcripts may even be split into sub-word chunks, see example below. \
Example: `["Good", " mor", "ning", ",", " h", "ow", "'s", " it", " going", "?"]`&#x20;

### Realtime logs

We offer two SSE endpoints to receive logs in realtime during a call. You can either receive all log types at [/live-logs](https://voicehub.dataqueue.ai/api/docs#/Call%20Logs/CallLogsControllerPublic_liveLogs), or you can receive just transcripts at [/live-transcript](https://voicehub.dataqueue.ai/api/docs#/Call%20Logs/CallLogsControllerPublic_liveTranscript). The connection will close automatically when the call ends.

### Logs

If you wish to retrieve existing logs, you can do so using a GET request to [this endpoint](https://voicehub.dataqueue.ai/api/docs#/Call%20Logs/CallLogsControllerPublic_list).&#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://dataqueue.gitbook.io/voicehub-docs/api-reference/call-logs-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
